import { type BehaviorConstructor } from '../types/engine';
declare class ClassRegistry {
    private registry;
    constructor();
    addClass(groupName: string, className: string, classDefinition: BehaviorConstructor): void;
    getClass(groupName: string, className: string): BehaviorConstructor | undefined;
    getGroup<T extends BehaviorConstructor = BehaviorConstructor>(groupName: string): T[] | undefined;
    clear(): void;
}
export declare const classRegistry: ClassRegistry;
export {};
